Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040201
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2019-02-14 15:532019-04-04 08:36
ReporterasiermartirenaView Statuspublic 
Assigned Toasiermartirena 
PrioritynormalResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revisionf418e9f5d278
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040201: The PLM Status field in the assortment shouldn't be dependent to be stockable

DescriptionCurrently, the PLM Status field depends on the stockable status of the product. This causes that not stockable products (like services) cannot have a PLM Status. This is not correct. The status mustn't depend on that.
Steps To ReproduceSet the 'Is stocked' field of a product to false. Go to that product in one assortment. Check that the PLM Status field is not visible.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0040515RR19Q1.2 scheduledasiermartirena The PLM Status field in the assortment shouldn't be dependent to be stockable 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0110337)
hgbot (developer)
2019-03-11 10:07

Repository: erp/pmods/org.openbravo.retail.config
Changeset: 3eb3bcd06c91fe7db8c86f471d98e60577b6bc51
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Thu Mar 07 13:03:28 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/3eb3bcd06c91fe7db8c86f471d98e60577b6bc51 [^]

Fixed issue 40201: The PLM Status field in the assortment shouldn't be dependent to be stockable

---
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_CALLOUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
R src/org/openbravo/retail/config/event/AssortmentEventHandler.java
R src/org/openbravo/retail/config/event/ProductEventHandler.java
---
(0110353)
hgbot (developer)
2019-03-11 15:13

Repository: erp/pmods/org.openbravo.retail.config
Changeset: 0e82a20226eb2d31eb17c4425bada2b5d114e05c
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Mon Mar 11 15:12:58 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/0e82a20226eb2d31eb17c4425bada2b5d114e05c [^]

Related to issue 40201: Added the removed records that were breaking the API

---
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_CALLOUT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
---
(0110369)
hgbot (developer)
2019-03-12 08:54

Repository: erp/pmods/org.openbravo.retail.config
Changeset: 57d6385660e477abc61cecb7903221ca8e0d598e
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Tue Mar 12 08:53:50 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/57d6385660e477abc61cecb7903221ca8e0d598e [^]

Related to issue 40201: Added the removed event handlers to avoid an API break

---
A src/org/openbravo/retail/config/event/AssortmentEventHandler.java
A src/org/openbravo/retail/config/event/ProductEventHandler.java
---
(0110427)
hgbot (developer)
2019-03-14 10:16

Repository: erp/pmods/org.openbravo.retail.config
Changeset: f1239e4ac632d15888c8030e9899f0b43793682e
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Tue Mar 12 11:43:36 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/f1239e4ac632d15888c8030e9899f0b43793682e [^]

Related to issue 40201: Backed out changeset 57d6385660e4

---
R src/org/openbravo/retail/config/event/AssortmentEventHandler.java
R src/org/openbravo/retail/config/event/ProductEventHandler.java
---
(0110429)
hgbot (developer)
2019-03-14 10:16

Repository: erp/pmods/org.openbravo.retail.config
Changeset: 1859579b9712bb1f47d72a9e5918e0eae27a7f68
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Tue Mar 12 11:43:59 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/1859579b9712bb1f47d72a9e5918e0eae27a7f68 [^]

Related to issue 40201: Backed out changeset 0e82a20226eb

---
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_CALLOUT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
---
(0110938)
hgbot (developer)
2019-04-01 11:05

Repository: retail/backports/3.0RR19Q1.1/org.openbravo.retail.config
Changeset: f418e9f5d278007cf6fccda40e5aaead839da5af
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Thu Mar 07 13:03:28 2019 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1.1/org.openbravo.retail.config/rev/f418e9f5d278007cf6fccda40e5aaead839da5af [^]

Fixed issue 40201: The PLM Status field in the assortment shouldn't be dependent to be stockable

---
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_CALLOUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
R src/org/openbravo/retail/config/event/AssortmentEventHandler.java
R src/org/openbravo/retail/config/event/ProductEventHandler.java
---
(0110939)
hgbot (developer)
2019-04-01 11:05

Repository: retail/backports/3.0RR19Q1.1/org.openbravo.retail.config
Changeset: 360f316624dd138ee9e45dfe50549d8f7950de17
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Mon Mar 11 15:12:58 2019 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1.1/org.openbravo.retail.config/rev/360f316624dd138ee9e45dfe50549d8f7950de17 [^]

Related to issue 40201: Added the removed records that were breaking the API

---
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_CALLOUT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
---
(0110940)
hgbot (developer)
2019-04-01 11:05

Repository: retail/backports/3.0RR19Q1.1/org.openbravo.retail.config
Changeset: 79e02b48bb6545ec397e6da1d07d005415c23cc2
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Tue Mar 12 08:53:50 2019 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1.1/org.openbravo.retail.config/rev/79e02b48bb6545ec397e6da1d07d005415c23cc2 [^]

Related to issue 40201: Added the removed event handlers to avoid an API break

---
A src/org/openbravo/retail/config/event/AssortmentEventHandler.java
A src/org/openbravo/retail/config/event/ProductEventHandler.java
---
(0110941)
hgbot (developer)
2019-04-01 11:05

Repository: retail/backports/3.0RR19Q1.1/org.openbravo.retail.config
Changeset: 1304d33be917809e700069255598ff4a7665737b
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Tue Mar 12 11:43:36 2019 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1.1/org.openbravo.retail.config/rev/1304d33be917809e700069255598ff4a7665737b [^]

Related to issue 40201: Backed out changeset 57d6385660e4

---
R src/org/openbravo/retail/config/event/AssortmentEventHandler.java
R src/org/openbravo/retail/config/event/ProductEventHandler.java
---
(0110942)
hgbot (developer)
2019-04-01 11:05

Repository: retail/backports/3.0RR19Q1.1/org.openbravo.retail.config
Changeset: 8174c0b484db73ba50a7f7b0222a1bf80b136a0c
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Tue Mar 12 11:43:59 2019 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1.1/org.openbravo.retail.config/rev/8174c0b484db73ba50a7f7b0222a1bf80b136a0c [^]

Related to issue 40201: Backed out changeset 0e82a20226eb

---
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_CALLOUT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
---

- Issue History
Date Modified Username Field Change
2019-02-14 15:53 asiermartirena New Issue
2019-02-14 15:53 asiermartirena Assigned To => asiermartirena
2019-02-14 15:53 asiermartirena Triggers an Emergency Pack => No
2019-03-11 10:07 hgbot Checkin
2019-03-11 10:07 hgbot Note Added: 0110337
2019-03-11 10:07 hgbot Status new => resolved
2019-03-11 10:07 hgbot Resolution open => fixed
2019-03-11 10:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/3eb3bcd06c91fe7db8c86f471d98e60577b6bc51 [^]
2019-03-11 15:13 hgbot Checkin
2019-03-11 15:13 hgbot Note Added: 0110353
2019-03-12 08:54 hgbot Checkin
2019-03-12 08:54 hgbot Note Added: 0110369
2019-03-14 10:16 hgbot Checkin
2019-03-14 10:16 hgbot Note Added: 0110427
2019-03-14 10:16 hgbot Checkin
2019-03-14 10:16 hgbot Note Added: 0110429
2019-03-29 09:20 marvintm Review Assigned To => marvintm
2019-03-29 09:49 marvintm Status resolved => closed
2019-03-29 09:49 marvintm Fixed in Version => RR19Q2
2019-04-01 11:05 hgbot Checkin
2019-04-01 11:05 hgbot Note Added: 0110938
2019-04-01 11:05 hgbot Status closed => resolved
2019-04-01 11:05 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/3eb3bcd06c91fe7db8c86f471d98e60577b6bc51 [^] => http://code.openbravo.com/retail/backports/3.0RR19Q1.1/org.openbravo.retail.config/rev/f418e9f5d278007cf6fccda40e5aaead839da5af [^]
2019-04-01 11:05 hgbot Checkin
2019-04-01 11:05 hgbot Note Added: 0110939
2019-04-01 11:05 hgbot Checkin
2019-04-01 11:05 hgbot Note Added: 0110940
2019-04-01 11:05 hgbot Checkin
2019-04-01 11:05 hgbot Note Added: 0110941
2019-04-01 11:05 hgbot Checkin
2019-04-01 11:05 hgbot Note Added: 0110942
2019-04-04 08:35 marvintm Status resolved => new
2019-04-04 08:35 marvintm Resolution fixed => open
2019-04-04 08:35 marvintm Fixed in Version RR19Q2 =>
2019-04-04 08:35 marvintm Status new => scheduled
2019-04-04 08:36 marvintm Status scheduled => resolved
2019-04-04 08:36 marvintm Fixed in Version => RR19Q2
2019-04-04 08:36 marvintm Resolution open => fixed
2019-04-04 08:36 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker